Page MenuHomePhabricator

en.wikipedia.com [sic] serves an invalid certificate
Closed, ResolvedPublic

Description

https://en.wikipedia.com/ is of course not the correct URL, but it's set up as a redirect from .com to the .org URL. Firefox gives an error when visiting the HTTPS version however:

en.wikipedia.com uses an invalid security certificate.
The certificate is only valid for the following names:
*.wikipedia.org, wikimedia.org, mediawiki.org, wikibooks.org, wikidata.org, wikinews.org, wikiquote.org, wikisource.org, wikiversity.org, wikivoyage.org, wiktionary.org, wikimediafoundation.org, w.wiki, wmfusercontent.org, *.m.wikipedia.org, *.wikimedia.org, *.m.wikimedia.org, *.planet.wikimedia.org, *.mediawiki.org, *.m.mediawiki.org, *.wikibooks.org, *.m.wikibooks.org, *.wikidata.org, *.m.wikidata.org, *.wikinews.org, *.m.wikinews.org, *.wikiquote.org, *.m.wikiquote.org, *.wikisource.org, *.m.wikisource.org, *.wikiversity.org, *.m.wikiversity.org, *.wikivoyage.org, *.m.wikivoyage.org, *.wiktionary.org, *.m.wiktionary.org, *.wikimediafoundation.org, *.wmfusercontent.org, wikipedia.org
Error code: SSL_ERROR_BAD_CERT_DOMAIN

https://www.wikipedia.com works fine.

Related Objects

Event Timeline

GKFX created this task.Jan 20 2019, 1:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2019, 1:42 AM
Krenair added a subscriber: Krenair.

I think wikipedia.com is a junk redirect domain which makes this another case of T133548: Create a secure redirect service for large count of non-canonical / junk domains

GKFX updated the task description. (Show Details)Jan 20 2019, 1:58 PM
Joe triaged this task as Low priority.Feb 7 2019, 12:10 PM
ema moved this task from Triage to TLS on the Traffic board.Mar 6 2019, 9:36 AM
BBlack closed this task as Resolved.Aug 29 2019, 2:59 PM
BBlack assigned this task to Vgutierrez.
BBlack added a subscriber: BBlack.

It does work fine now, thanks to the new non-canonical redirect service!